Subject: Wording in Connection Management

From: Zhong Yu <[email-masked]>
Date: Tue, 20 Nov 2012 17:41:43 -0600

http://tools.ietf.org/html/draft-ietf-httpbis-p1-messaging-21#section-6.2.4

   A client sending a message body SHOULD monitor the network connection
   for an **error status code** while it is transmitting the request.  If
   the client sees an **error status code**, it SHOULD immediately cease
   transmitting the body and close the connection.

What does "error status code" mean here?

Could it mean http response status code? For example, if the client is
uploading a file, and sees a 403 response, it should abort the
request.

I guess that's not what it means (browsers don't do that); maybe the
wording should be changed to avoid confusion?

Zhong Yu